
import processing.serial.*; 
Serial port; // Crea un objeto de la clase Serial
int tam;  // Anchura de la pelota
float xpos, ypos; // Posición de inicio de la pelota

float xspeed = 3.9;
float yspeed = 3.1; 
int xdirection = 1;
int ydirection = 1; 

void setup() {
  size(640, 480); 
  colorMode(HSB, 255); 
  noStroke(); 
  frameRate(30); 
  ellipseMode(CENTER); 
  smooth(); 
 

  xpos = width/2;
  ypos = height/2;
  println(Serial.list());
  String portname = Serial.list()[2]; 
  port = new Serial(this, portname, 9600);
}

void draw() {
  background(0);
  if (port.available() > 0) { 
    println(tam);
    tam = port.read();  
  }
 
  xpos = xpos + ( xspeed * xdirection );
  ypos = ypos + ( yspeed * ydirection );

 

  int halfsize = tam/2; 
  if (xpos + halfsize > width || xpos - halfsize < 0) {
    xdirection *= -1;
  } 
  if (ypos + halfsize > height || ypos - halfsize < 0) {
    ydirection *= -1;
  }
  
  fill(tam, 255, 255);
  ellipse(xpos, ypos, tam, tam);
}

